ProfilingGrailsPluginManager (Grails 6.0.0)

Package: org.grails.plugins

## [Java] Class ProfilingGrailsPluginManager

- org.grails.plugins.ProfilingGrailsPluginManager

-     public class ProfilingGrailsPluginManager
      extends DefaultGrailsPluginManager

  A GrailsPluginManager implementation that outputs profile data to a logger.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultGrailsPluginManager` | `COMMON_CLASSES, GRAILS_PLUGIN_SUFFIX, GRAILS_VERSION, LOG, delayedEvictions, delayedLoadPlugins, parentCtx, pluginFilter, pluginToObserverMap, resolver, userPlugins`
    `class AbstractGrailsPluginManager` | `BLANK, CONFIG_BINDING_APP_NAME, CONFIG_BINDING_APP_VERSION, CONFIG_BINDING_GRAILS_HOME, CONFIG_BINDING_USER_HOME, CONFIG_FILE, LOG, application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins, shutdown`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfilingGrailsPluginManager (GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.Class<?>[] plugins, GrailsApplication application)`
    `ProfilingGrailsPluginManager (org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.String resourcePath, GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.String[] pluginResources, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `doArtefactConfiguration()`
    `` | `public void` | `doDynamicMethods()`
    `` | `public void` | `doPostProcessing(org.springframework.context.ApplicationContext ctx)`
    `` | `public void` | `doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)`
    `` | `public void` | `loadPlugins()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGrailsPluginManager` | `areDependenciesResolved, areNoneToLoadBefore, attemptLoadPlugins, attemptPluginLoad, canRegisterPlugin, checkForChanges, createBinaryGrailsPlugin, createGrailsPlugin, createGrailsPlugin, doDynamicMethods, evictPlugin, findCorePlugins, findUserPlugins, getPluginFilter, getPluginGrailsVersion, getPluginList, getPluginObservers, getUserPlugins, hasDelayedDependencies, hasGrailsPlugin, hasValidPluginsToLoadBefore, informObservers, initializePlugins, isCompatiblePlugin, isDependentOn, isGrailsPlugin, loadDelayedPlugins, loadPluginClass, loadPlugins, processDelayedEvictions, refreshPlugin, registerPlugin, reloadPlugin, resolveLoadDependencies, setApplication, setApplicationContext, setParentApplicationContext, setPluginFilter, setPluginFilter, sortPlugins, visitTopologicalSort`
    `class AbstractGrailsPluginManager` | `checkInitialised, convert, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, doRuntimeConfigurationForDependencies, getAllPlugins, getConfigSlurper, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginForClass, getPluginForInstance, getPluginPath, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, informOfClassChange, informOfFileChange, informPluginsOfConfigChange, isAlreadyRegistered, isInitialised, isPluginDisabledForProfile, isShutdown, loadApplicationClass, onStartup, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, setPluginFilter, shutdown`

- - ### Constructor Detail

    - #### public ProfilingGrailsPluginManager(GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.Class<?>[] plugins, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.String resourcePath, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.String[] pluginResources, GrailsApplication application)

  - ### Method Detail

    - #### @java.lang.Override public void doArtefactConfiguration()

    - #### @java.lang.Override public void doDynamicMethods()

    - #### @java.lang.Override public void doPostProcessing(org.springframework.context.ApplicationContext ctx)

    - #### @java.lang.Override public void doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)

    - #### @java.lang.Override public void loadPlugins()